# English message strings for the "libopkbuild_2" text domain
#
# Copyright (C) 2012, 2019 Patrick McDermott
#
# This file is part of opkbuild.
#
# opkbuild is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# opkbuild is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with opkbuild.  If not, see <http://www.gnu.org/licenses/>.

# lib/output.sh
msg_libopkbuild_2_output_error_format='%s: Error: %s'
msg_libopkbuild_2_output_warning_format='%s: Warning: %s'
msg_libopkbuild_2_output_info_format='%s: %s'

# lib/package.sh
msg_libopkbuild_2_unable_to_detect_package_format='Unable to detect package format'
msg_libopkbuild_2_bad_binary_name='Bad binary package name: "%s"'
msg_libopkbuild_2_duplicate_clean_binary_name='Duplicate clean binary package name: "%s"'

# lib/control.sh
msg_libopkbuild_2_control_empty_line='%s: empty line'
msg_libopkbuild_2_control_bad_nv='%s: badly formatted control field'
msg_libopkbuild_2_control_unknown_field='%s: unrecognized field "%s"'
msg_libopkbuild_2_control_duplicate_field='%s: duplicate field "%s"'
msg_libopkbuild_2_control_found_contination='%s: found continuation line where expected start of field'
msg_libopkbuild_2_list_item_separator=', '
msg_libopkbuild_2_control_missing_fields='%s: missing fields: %s'
msg_libopkbuild_2_substvar_deep_nesting='Possible recursion in substitutions'
msg_libopkbuild_2_substvar_invalid='Invalid substitution variable "%s"'
msg_libopkbuild_2_substvar_unknown='Unknown substitution variable "%s"'

# lib/changelog.sh
msg_libopkbuild_2_changelog_found_blank_line='%s: found blank line where expected %s'
msg_libopkbuild_2_changelog_found_heading='%s: found start of entry where expected %s'
msg_libopkbuild_2_changelog_bad_heading='%s: badly formatted heading line'
msg_libopkbuild_2_changelog_bad_source='%s: invalid source package name "%s"'
msg_libopkbuild_2_changelog_bad_source_version='%s: invalid source package version identifier "%s"'
msg_libopkbuild_2_changelog_found_trailer='%s: found trailer where expected %s'
msg_libopkbuild_2_changelog_bad_trailer='%s: badly formatted trailer line'
msg_libopkbuild_2_changelog_found_change='%s: found change data where expected %s'
msg_libopkbuild_2_changelog_bad_line='%s: unrecognized line'
msg_libopkbuild_2_changelog_found_eof='%s: found eof where expected %s'
msg_libopkbuild_2_changelog_expect_first_heading='first heading'
msg_libopkbuild_2_changelog_expect_start_changes='next heading or eof'
msg_libopkbuild_2_changelog_expect_next_or_eof='start of change data'
msg_libopkbuild_2_changelog_expect_changes_or_trailer='more change data or trailer'
